---
updatedAt: 2025-08-19T10:49:23.000Z
agentTools:
  projectIndex: https://apidocs.yotpo.com/llms.txt
---

# Overview

View a summary of all metrics as an itemized list for a specified email type. 
Data can be segmented by email type and grouped by various metrics.

> 👍 How to use this endpoint
>
> * For example responses, click the relevant status code on the right.

> 📘 Note:
>
> The `since` and `until` parameters always refer to sent emails, regardless of which metric was requested. Metrics are retrieved from emails which were sent within the date range defined.
>
> For example, if you're requesting data on reviews within the date range of Jan 01 (`since`) - Jan 05 (`until`), note that while the review request emails were sent within the date range, the actual reviews may have only been created after Jan 05 (`until`).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.yotpo.com",
      "description": "Main API server for authenticated and write operations"
    }
  ],
  "components": {
    "securitySchemes": {
      "X-Yotpo-Token": {
        "type": "apiKey",
        "in": "header",
        "name": "X-Yotpo-Token",
        "description": "Your Yotpo account access token. See [Yotpo Authentication](https://apidocs.yotpo.com/reference#yotpo-authentication) to learn how to generate your token."
      }
    }
  },
  "security": [
    {
      "X-Yotpo-Token": []
    }
  ],
  "paths": {
    "/analytics/v1/emails/{store_id}": {
      "get": {
        "summary": "Overview",
        "description": "View a summary of all metrics as an itemized list for a specified email type. \nData can be segmented by email type and grouped by various metrics.",
        "operationId": "summary",
        "parameters": [
          {
            "name": "store_id",
            "in": "path",
            "description": "The store ID",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "token",
            "in": "query",
            "description": "Your Yotpo account access token. See [Yotpo Authentication](https://apidocs.yotpo.com/reference#yotpo-authentication) to learn how to generate your access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "email_type",
            "in": "query",
            "description": "Choose one `email_type` value from the table of [Supported Email Types](https://apidocs.yotpo.com/reference/about-analytics#supported-email-types) or exclude this parameter to retrieve data for all emails.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "reminder_num",
            "in": "query",
            "description": "The number of the MAP reminder email. Must be an integer greater than zero and can only be used when the email type is `product_reminder` or `site_reminder`",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "date_range.since",
            "in": "query",
            "required": false,
            "description": "Retrieve email analytics until and including this date (Default: Last 30 days). Note: `until` is required when using this param.",
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2017-07-01",
              "default": "Last 30 days"
            }
          },
          {
            "name": "ate_range.until",
            "in": "query",
            "required": false,
            "description": "Retrieve email analytics until and including this date (Default: Last 30 days). Note: `since` is required when using this param.",
            "schema": {
              "type": "string",
              "format": "date",
              "example": "2017-08-20",
              "default": "Last 30 days"
            }
          },
          {
            "name": "group_by",
            "in": "query",
            "description": "Returns itemized grouped data. Choose a `group_by` value from [this table](http://apidocs.yotpo.com/reference#section-group-by)",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"values\": {\n        \"all_emails\": {\n            \"values\": {\n                \"answers_from_emails\": 1,\n                \"arrived_early\": 0,\n                \"click_throughs\": 0,\n                \"emails_failed\": 1,\n                \"emails_opened\": 5,\n                \"emails_sent\": 10,\n                \"invalid_address\": 1,\n                \"marked_spam\": 0,\n                \"reviews_from_emails\": 3,\n                \"unsubscribed\": 0\n            }\n        }\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "values": {
                      "type": "object",
                      "properties": {
                        "all_emails": {
                          "type": "object",
                          "properties": {
                            "values": {
                              "type": "object",
                              "properties": {
                                "answers_from_emails": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "arrived_early": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "click_throughs": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "emails_failed": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "emails_opened": {
                                  "type": "integer",
                                  "example": 5,
                                  "default": 0
                                },
                                "emails_sent": {
                                  "type": "integer",
                                  "example": 10,
                                  "default": 0
                                },
                                "invalid_address": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "marked_spam": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "reviews_from_emails": {
                                  "type": "integer",
                                  "example": 3,
                                  "default": 0
                                },
                                "unsubscribed": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            "headers": {
              "ratelimit-limit": {
                "description": "The maximum number of requests allowed in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-remaining": {
                "description": "The number of requests remaining in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-reset": {
                "description": "The time (in seconds) until the rate limit resets",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-limit-minute": {
                "description": "The maximum number of requests allowed per minute",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-remaining-minute": {
                "description": "The number of requests remaining in the current minute",
                "schema": {
                  "type": "integer"
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            },
            "headers": {
              "ratelimit-limit": {
                "description": "The maximum number of requests allowed in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-remaining": {
                "description": "The number of requests remaining in the current time window",
                "schema": {
                  "type": "integer"
                }
              },
              "ratelimit-reset": {
                "description": "The time (in seconds) until the rate limit resets",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-limit-minute": {
                "description": "The maximum number of requests allowed per minute",
                "schema": {
                  "type": "integer"
                }
              },
              "x-ratelimit-remaining-minute": {
                "description": "The number of requests remaining in the current minute",
                "schema": {
                  "type": "integer"
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "http",
              "code": "GET https://api.yotpo.com/analytics/v1/emails/YOUR_store_id?since=2017-07-01&until=2017-11-01"
            }
          ],
          "samples-languages": [
            "http"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "value": "application/json",
        "key": "Content-Type"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```

# Sibling pages

* [About analytics](https://apidocs.yotpo.com/reference/about-analytics.md)
* [Email analytics](https://apidocs.yotpo.com/reference/email-analytics.md)
* [Raw data](https://apidocs.yotpo.com/reference/raw-data.md)
* [Export email analytics](https://apidocs.yotpo.com/reference/export-email-analytics.md)